summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorms <ms@taler.net>2021-07-09 13:47:44 +0200
committerms <ms@taler.net>2021-07-09 13:47:44 +0200
commit36527314be1abc0e6e9c29d2768437bc0d6bee94 (patch)
tree56e359f0165661ecdcaa8dcfb90497bea3a3641b
parentf0b16b7d899cca8362a168b5912b0207230d4a56 (diff)
downloaddeployment-36527314be1abc0e6e9c29d2768437bc0d6bee94.tar.gz
deployment-36527314be1abc0e6e9c29d2768437bc0d6bee94.tar.bz2
deployment-36527314be1abc0e6e9c29d2768437bc0d6bee94.zip
*adding* script claimed in previous commit
-rwxr-xr-xbuildbot/demo-healthchecks.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/buildbot/demo-healthchecks.sh b/buildbot/demo-healthchecks.sh
new file mode 100755
index 0000000..5f67e71
--- /dev/null
+++ b/buildbot/demo-healthchecks.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+# Runs simple withdraw+spend test at the running demo.taler.net
+# serice. Usually run from within the demo-$color itself, in order
+# to easily read the merchant token from the environment.
+set -eu
+
+source "${HOME}/activate"
+taler-wallet-cli testing run-integrationtests payment-demo